Bug 1026741 - tomcat should create and own %{_localstatedir}/lib/tomcats
tomcat should create and own %{_localstatedir}/lib/tomcats
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tomcat (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ivan Afonichev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-05 05:42 EST by Severin Gehwolf
Modified: 2014-09-26 05:02 EDT (History)
2 users (show)

See Also:
Fixed In Version: tomcat-7.0.52-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-26 05:02:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Severin Gehwolf 2013-11-05 05:42:38 EST
Description of problem:
/usr/lib/systemd/system/tomcat@.service describes how to use tomcat with custom CATALINA_BASE in /var/lib/tomcats/name. However, directory /var/lib/tomcats does not exist.

Version-Release number of selected component (if applicable):
$ rpm -q tomcat
tomcat-7.0.47-1.fc21.noarch

How reproducible:
Always.

Steps to Reproduce:
1. yum install tomcat
2. ls /var/lib/tomcats

Actual results:
No such file or directory

Expected results:
Empty directory exists.

Additional info:
If custom tomcats start to own this directory chaos will occur if more than one of those is installed. Getting file conflicts. Such custom tomcats should only own /var/lib/tomcats/<name> NOT /var/lib/tomcats itself.
Comment 1 Fedora Update System 2014-09-16 17:36:44 EDT
tomcat-7.0.52-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/tomcat-7.0.52-1.fc20
Comment 2 Fedora Update System 2014-09-19 06:13:36 EDT
Package tomcat-7.0.52-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tomcat-7.0.52-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-11048/tomcat-7.0.52-1.fc20
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2014-09-26 05:02:18 EDT
tomcat-7.0.52-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.